Bug 56986 - No suid bit set on executable
Summary: No suid bit set on executable
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-02 06:03 UTC by Roy-Magne Mo
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-02 12:48:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roy-Magne Mo 2001-12-02 06:03:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011121

Description of problem:
There are no Xwrapper in XFree86-4.1.99.2-0.1.6
, and suid-bit is not set on the X-server. So I can't start this as a
regular user.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start or just X as an ordinary user
2.
3.
	

Actual Results:  it told me that it was logging in /var/log/XFree86.0.log,
but wasn't so I suspected permission problems.

Additional info:

Comment 1 Mike A. Harris 2001-12-02 12:48:34 UTC
Thanks.  I need to decide wether to SUID the main binary or put
Xwrapper back.  With 4.x there is no need for Xwrapper to exist
as the functionality has been folded into the main Xserver binary
now.

I'll have to think about this one.  I'll probably SUID it though.

Comment 2 Mike A. Harris 2001-12-05 00:50:34 UTC
Fixed in my internal build.  When 4.1.99.x gets into official rawhide
this will show up.

Thanks.

Comment 3 Mike A. Harris 2001-12-05 00:51:08 UTC
Fixed in my internal build.  When 4.1.99.x gets into official rawhide
this will show up.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.